# logging settings for spring framework
logging.level.org.springframework.web=INFO
#logging.level.org.springframework.web=DEBUG
# client settings

# settings
setting1=st1
setting2=st2

# whether to activate default security or not (0 = off, 1 = on)
# this is a dirty config setting, to be removed in production
#security.activation.status=1
security.activation.status=0

# basic auth credentials
security.user.name=user
security.user.password=password

# basic header credentials, the password is generated computing base64 of <your_user>:<your_password>
# for instance, the following corresponds to user:password in base64
security.user.headerAuth=Authorization
security.user.usrPassword=Basic dXNlcjpwYXNzd29yZA==   

# userId for Analysis Infrastructure 
security.user.iaic3isp=IAIC3ISP_VAULT_ID
# rest endpoints
rest.endpoint.url.callBundleBase=https://<isi-domain>:8443/bundle-manager/v1
rest.endpoint.url.callKECoreBase=https://<css-domain>/ke-core-manager-api/v1
rest.endpoint.url.callFheEncryptionEndPoint=https://<css-domain>/ke-core-manager-api/v1/fhe/decrypt/{RequestId}/dsa/{DSAId}/scheme/{FHEModel}

rest.endpoint.url.eventHandlerNotify=https://isic3isp.iit.cnr.it:8443/event-handler/v1/notifyEvent
rest.endpoint.url.eventHandlerSubscribe=https://isic3isp.iit.cnr.it:8443/event-handler/v1/subscribe


# DSA checking endpoint
rest.endpoint.url.callGetDSAID=https://<dsamgn-domain>/DSAAPI/fetchusagepolicy/{dsaId}
rest.endpoint.url.callCheckDSAID=https://<dsamgn-domain>/DSAAPI/getstatuscnr?dsaid={dsaId}
rest.endpoint.url.callGetDSA=https://dsamgrc3isp.iit.cnr.it/DSAAPI/getDSA/{dsaId}

#Buffer-Manager Endpoints
rest.endpoint.url.callprepareEmptyDataLake=https://isic3isp.iit.cnr.it:8443/buffer-manager/v1/prepareEmptyDataLake
rest.endpoint.url.dataLakeCategory=VDL
rest.endpoint.url.typeEmptyDataLake=FS

rest.endpoint.url.callDPOS=https://<isi-domain>:8443/dpos-api/v1
rest.endpoint.url.callKentDPOSPlatforme=https://<isi-domain>:8443/dpos-api/v1
rest.endpoint.url.callRegistedEventHandler=https://<isi-domain>:8443/event-handler/v1/subscribe
rest.endpoint.url.callNotifyBundleManager=https://<isi-domain>:8443/bundle-manager/v1/notifyEvent

# Specific settings (created at build time from Maven pom.xml)
info.app.project=Bundle Manager Project for defining API Management 
info.build.artifact=@project.artifactId@
info.build.name=@project.name@
info.build.description=@project.description@
info.build.version=@project.version@

# 20 MB is the max size before applying actions of splitting into chunks
# Maximum size can be accepted 200MB, otherwise there is risk of memory attacks and memory dump exception
c3isp.data.chunkSize=20
c3isp.data.maxSize=200
c3isp.data.nbrChunks=10

springfox.documentation.swagger.v2.path=/api-docs
server.contextPath=/v1
server.port=8080
#spring.jackson.date-format=fr.cea.bundle.RFC3339DateFormat
spring.jackson.serialization.WRITE_DATES_AS_TIMESTAMPS=false

#max file and request size 
spring.http.multipart.max-file-size=1000MB
spring.http.multipart.max-request-size=1000MB
